/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2024 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use client";
import * as r from "react";
import e from "prop-types";
import { validatePackage as H, useRtl as K, classNames as f, getTabIndex as V } from "@progress/kendo-react-common";
import { calculateRatio as q } from "../common/utils.mjs";
import { packageMetadata as D } from "../package-metadata.mjs";
const v = r.forwardRef(
  (t, y) => {
    H(D);
    const {
      chunkCount: h = a.chunkCount,
      className: C,
      disabled: c = a.disabled,
      orientation: x,
      min: m = a.min,
      max: u = a.max,
      reverse: N = a.reverse,
      style: P,
      tabIndex: S,
      emptyStyle: R,
      emptyClassName: E,
      progressStyle: I,
      progressClassName: w
    } = t, l = r.useRef(null), T = r.useCallback(() => {
      l.current && l.current.focus();
    }, []);
    r.useImperativeHandle(
      y,
      () => ({
        element: l.current,
        focus: T
      })
    );
    const d = t.value || a.value, p = t.value === null, j = K(l, t.dir), o = x === "vertical", z = {
      className: f(
        "k-progressbar k-chunk-progressbar",
        {
          "k-progressbar-horizontal": !o,
          "k-progressbar-vertical": o,
          "k-progressbar-reverse": N,
          "k-progressbar-indeterminate": p,
          "k-disabled": c
        },
        C
      ),
      ref: l,
      dir: j,
      tabIndex: V(S, c),
      role: "progressbar",
      "aria-label": t.ariaLabel,
      "aria-valuemin": m,
      "aria-valuemax": u,
      "aria-valuenow": p ? void 0 : d,
      "aria-disabled": c,
      style: P
    }, B = ({ count: n }) => {
      const b = [], k = 100 / n + "%", L = q(m, u, d), M = Math.floor(L * n), g = Array(n).fill(!1);
      for (let s = 0; s < M; s++)
        g[s] = !0;
      for (let s = 0; s < n; ++s) {
        const i = g[s], A = i ? w : E, F = { ...{
          width: o ? void 0 : k,
          height: o ? k : void 0
        }, ...i ? I : R };
        b.push(
          /* @__PURE__ */ r.createElement(
            "li",
            {
              key: s,
              className: f(
                "k-progressbar-chunk",
                {
                  "k-first": s === 0,
                  "k-last": s === n - 1,
                  "k-selected": i
                },
                A
              ),
              style: F
            }
          )
        );
      }
      return /* @__PURE__ */ r.createElement(r.Fragment, null, b);
    };
    return /* @__PURE__ */ r.createElement("div", { ...z }, /* @__PURE__ */ r.createElement("ul", { className: "k-progressbar-chunks k-reset" }, /* @__PURE__ */ r.createElement(B, { count: h })));
  }
);
v.propTypes = {
  chunkCount: e.number,
  ariaLabel: e.string,
  disabled: e.bool,
  reverse: e.bool,
  max: e.number,
  min: e.number,
  value: e.number,
  tabIndex: e.number,
  emptyStyle: e.object,
  emptyClassName: e.string,
  progressStyle: e.object,
  progressClassName: e.string
};
const a = {
  chunkCount: 5,
  min: 0,
  max: 100,
  value: 0,
  disabled: !1,
  reverse: !1
};
v.displayName = "KendoChunkProgressBar";
export {
  v as ChunkProgressBar
};
